package cn.cecep.talroad.service.analysis;

import cn.cecep.talroad.domain.analysis.SRaPollManTypeChange;
import cn.cecep.talroad.vo.analysis.SRaPollManTypeChangeVo;
import cn.cecep.talroad.vo.query.analysis.SRaPollManTypeChangeQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
public interface SRaPollManTypeChangeService extends IService<SRaPollManTypeChange>{


    int updateBatch(List<SRaPollManTypeChange> list);

    int updateBatchSelective(List<SRaPollManTypeChange> list);

    int batchInsert(List<SRaPollManTypeChange> list);

    IPage<SRaPollManTypeChangeVo> selectList(SRaPollManTypeChangeQuery query);

    List<String> selectIndustryPermissionNameList(SRaPollManTypeChangeQuery query);
}
